# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{apipie-bindings}
  s.version = "0.0.14"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Martin Ba\304\215ovsk\303\275"]
  s.date = %q{2015-08-25}
  s.description = %q{Bindings for API calls that are documented with Apipie. Bindings are generated on the fly.
}
  s.email = %q{mbacovsk@redhat.com}
  s.extra_rdoc_files = ["README.md", "doc/release_notes.md"]
  s.files = ["LICENSE", "README.md", "doc/release_notes.md", "lib/apipie-bindings.rb", "lib/apipie_bindings.rb", "lib/apipie_bindings/action.rb", "lib/apipie_bindings/api.rb", "lib/apipie_bindings/credentials.rb", "lib/apipie_bindings/example.rb", "lib/apipie_bindings/exceptions.rb", "lib/apipie_bindings/indifferent_hash.rb", "lib/apipie_bindings/inflector.rb", "lib/apipie_bindings/param.rb", "lib/apipie_bindings/resource.rb", "lib/apipie_bindings/rest_client_oauth.rb", "lib/apipie_bindings/route.rb", "lib/apipie_bindings/version.rb", "test/dummy/.gitignore", "test/dummy/Gemfile", "test/dummy/README.md", "test/dummy/Rakefile", "test/dummy/app/controllers/application_controller.rb", "test/dummy/app/controllers/comments_controller.rb", "test/dummy/app/controllers/concerns/dummy_concern.rb", "test/dummy/app/controllers/posts_controller.rb", "test/dummy/app/controllers/users_controller.rb", "test/dummy/app/lib/dummy/store.rb", "test/dummy/bin/bundle", "test/dummy/bin/rails", "test/dummy/bin/rake", "test/dummy/config.ru", "test/dummy/config/application.rb", "test/dummy/config/boot.rb", "test/dummy/config/environment.rb", "test/dummy/config/environments/development.rb", "test/dummy/config/environments/production.rb", "test/dummy/config/environments/test.rb", "test/dummy/config/initializers/apipie.rb", "test/dummy/config/initializers/session_store.rb", "test/dummy/config/routes.rb", "test/dummy/data/example/users/1/posts/1/comments/1/show.json", "test/dummy/data/example/users/1/posts/1/show.json", "test/dummy/data/example/users/1/show.json", "test/dummy/public/index.html", "test/unit/action_test.rb", "test/unit/api_test.rb", "test/unit/data/dummy.json", "test/unit/example_test.rb", "test/unit/indifferent_hash_test.rb", "test/unit/inflector_test.rb", "test/unit/main_test.rb", "test/unit/param_test.rb", "test/unit/resource_test.rb", "test/unit/route_test.rb", "test/unit/test_helper.rb"]
  s.homepage = %q{http://github.com/Apipie/apipie-bindings}
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{The Ruby bindings for Apipie documented APIs}
  s.test_files = ["test/dummy/.gitignore", "test/dummy/Gemfile", "test/dummy/README.md", "test/dummy/Rakefile", "test/dummy/app/controllers/application_controller.rb", "test/dummy/app/controllers/comments_controller.rb", "test/dummy/app/controllers/concerns/dummy_concern.rb", "test/dummy/app/controllers/posts_controller.rb", "test/dummy/app/controllers/users_controller.rb", "test/dummy/app/lib/dummy/store.rb", "test/dummy/bin/bundle", "test/dummy/bin/rails", "test/dummy/bin/rake", "test/dummy/config.ru", "test/dummy/config/application.rb", "test/dummy/config/boot.rb", "test/dummy/config/environment.rb", "test/dummy/config/environments/development.rb", "test/dummy/config/environments/production.rb", "test/dummy/config/environments/test.rb", "test/dummy/config/initializers/apipie.rb", "test/dummy/config/initializers/session_store.rb", "test/dummy/config/routes.rb", "test/dummy/data/example/users/1/posts/1/comments/1/show.json", "test/dummy/data/example/users/1/posts/1/show.json", "test/dummy/data/example/users/1/show.json", "test/dummy/public/index.html", "test/unit/action_test.rb", "test/unit/api_test.rb", "test/unit/data/dummy.json", "test/unit/example_test.rb", "test/unit/indifferent_hash_test.rb", "test/unit/inflector_test.rb", "test/unit/main_test.rb", "test/unit/param_test.rb", "test/unit/resource_test.rb", "test/unit/route_test.rb", "test/unit/test_helper.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<json>, [">= 1.2.1"])
      s.add_runtime_dependency(%q<rest-client>, [">= 1.6.5"])
      s.add_runtime_dependency(%q<oauth>, [">= 0"])
      s.add_runtime_dependency(%q<awesome_print>, [">= 0"])
      s.add_development_dependency(%q<rake>, ["~> 10.1.0"])
      s.add_development_dependency(%q<thor>, [">= 0"])
      s.add_development_dependency(%q<minitest>, ["= 4.7.4"])
      s.add_development_dependency(%q<minitest-spec-context>, [">= 0"])
      s.add_development_dependency(%q<simplecov>, ["< 0.9.0"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<ci_reporter>, [">= 1.6.3", "< 2.0.0"])
    else
      s.add_dependency(%q<json>, [">= 1.2.1"])
      s.add_dependency(%q<rest-client>, [">= 1.6.5"])
      s.add_dependency(%q<oauth>, [">= 0"])
      s.add_dependency(%q<awesome_print>, [">= 0"])
      s.add_dependency(%q<rake>, ["~> 10.1.0"])
      s.add_dependency(%q<thor>, [">= 0"])
      s.add_dependency(%q<minitest>, ["= 4.7.4"])
      s.add_dependency(%q<minitest-spec-context>, [">= 0"])
      s.add_dependency(%q<simplecov>, ["< 0.9.0"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<ci_reporter>, [">= 1.6.3", "< 2.0.0"])
    end
  else
    s.add_dependency(%q<json>, [">= 1.2.1"])
    s.add_dependency(%q<rest-client>, [">= 1.6.5"])
    s.add_dependency(%q<oauth>, [">= 0"])
    s.add_dependency(%q<awesome_print>, [">= 0"])
    s.add_dependency(%q<rake>, ["~> 10.1.0"])
    s.add_dependency(%q<thor>, [">= 0"])
    s.add_dependency(%q<minitest>, ["= 4.7.4"])
    s.add_dependency(%q<minitest-spec-context>, [">= 0"])
    s.add_dependency(%q<simplecov>, ["< 0.9.0"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<ci_reporter>, [">= 1.6.3", "< 2.0.0"])
  end
end
